### Method

# RB TrackTransferBatch check_profiles

#### Declaration [src]

    gboolean
    rb_track_transfer_batch_check_profiles (
      RBTrackTransferBatch* batch,
      GList** missing_plugin_profiles,
      int* error_count
    )

#### Description [src]

Checks that all entries in the batch can be transferred in a format supported by the destination. If no encoding profile is available for some entries, but installing additional plugins could make a profile available, a list of profiles that require additional plugins is returned.

#### Parameters

`missing_plugin_profiles`

  Type: A list of `None`

  Holds a `GList` of `GstEncodingProfiles` on return.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error_count`

  Type: `int*`

  Holds the number of entries that cannot be transferred on return.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if some entries can be transferred without additional plugins.